Description

I don't use puppetdb so I have it disabled, but every upgrade/update it gets to enabled again.

History

#1 - 06/28/2017 04:07 AM - Daniel Lobato Garcia

- Tracker changed from Bug to Support

- Project changed from Foreman to Installer

- Category deleted (Puppet integration)

I think this happens because the installer remembers the answers you chose the last time you ran it. This means that you should change these

options, for example:

/etc/foreman-installer/scenarios.d/foreman-answers.yaml or /etc/foreman-installer/scenarios.d/katello-answers.yaml (depending on your installation)

will contain a key:

`foreman::plugin::puppetdb: true`

Change it to false and I think your problem will go away.

#2 - 06/28/2017 08:29 AM - Juan Pablo Lorier

I think this shouldn't relay on the fist answers and the user having to explicitly modify the file. It should get the values from the actual configuration (for

instance, recreate the answers file from the setting)

#3 - 07/14/2017 06:56 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

This is by design how the installer works and changing it would be a lot of work though you could use remove your answers and --dont-save-answers

to achieve sort of what you want. If you want to change anything then there's --no-enable-foreman-plugin-puppetdb to disable it.
